Subject: Re: kernel panic when resuming from hibernate in next-20260406 with PREEMPT_RT

From: Bert Karwatzki <[email-masked]>
Date: Thu, 09 Apr 2026 15:30:52 +0200

Am Donnerstag, dem 09.04.2026 um 15:14 +0200 schrieb Bert Karwatzki:
> I noticed that my debian stable (trixie) system running linux next-20260406
> would sometimes hang when resuming from hibernate (I also had two similar errors
> under different circumstances, one just after booting and one when starting the
> game stellaris, but hibernate seems to be the best way to provoke this error). 
> There are usually no error messages, but once I got this (incomplete) error (via drm panic "kmsg"):
> 
> 
> 
> [ 125.266334][ C17] RSP: 002b:00007ffc1fcae230 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
> [ 125.266335][ C17] RAX: ffffffffffffffda RBX: 000055845b640060 RCX: 00007fb699e8e91b
> [ 125.266335][ C17] RDX: 00007ffc1fcae2d0 RSI: 00000000c05064a7 RDI: 000000000000000f
> [ 125.266336][ C17] RBP: 00007ffc1fcae2d0 R08: 0000000000000060 R09: 0000000000000000
> [ 125.266336][ C17] R10: 0000000000000003 R11: 0000000000000246 R12: 00000000c05064a7
> [ 125.266336][ C17] R13: 000000000000000f R14: 00000000c05064a7 R15: 00007ffc1fcae2d0
> [ 125.266337][ C17] &lt;/TASK&gt;
> [ 125.266337][ C17] Modules linked in: ccm snd_usb_audio joydev snd_usbmidi_lib snd_ump snd_rawmidi snd_seq_dummy snd_hrtimer snd_seq snd_seq_device nls_ascii nls_cp437 vfat fat mt7925e mt7925_common mt792x_lib mt76_connac_lib mt76 intel_rapl_msr snd_hda_codec_atihdmi mac80211 intel_rapl_common snd_hda_codec_hdmi iosf_mbi snd_hda_intel rapl snd_hda_codec wmi_bmof snd_hda_core spd5118 regmap_i2c snd_intel_dspcfg snd_hwdep snd_pcm libarc4 snd_timer cfg80211 snd soundcore pcspkr rfkill ccp k10temp evdev nct6775 nct6775_core hwmon_vid configfs efi_pstore efivarfs autofs4 ext4 mbcache jbd2 hid_generic usbhid hid amdgpu drm_client_lib i2c_algo_bit drm_buddy drm_ttm_helper ttm drm_exec drm_suballoc_helper mfd_core drm_panel_backlight_quirks gpu_sched amdxcp drm_display_helper xhci_pci xhci_hcd drm_kms_helper ahci libahci drm libata usbcore nvme scsi_mod igc nvme_core cec i2c_piix4 scsi_common video usb_common nvme_keyring crc16 i2c_smbus nvme_auth wmi hkdf gpio_amdpt gpio_generic
> [ 125.266351][ C17] ---[ end trace 0000000000000000 ]---
> [ 126.356624][ C17] RIP: 0010:__get_vm_area_node+0x140/0x150
> [ 126.356631][ C17] Code: 00 00 ff c5 39 c5 0f 4c e8 b8 1e 00 00 00 39 c5 0f 4f e8 c4 e2 d1 f7 ea e9 3e ff ff ff 4c 89 e7 e8 f5 49 01 00 45 31 e4 eb b0 &lt;0f&gt; 0b 66 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 00 0f 1f 40 d6 41 50
> [ 126.356633][ C17] RSP: 0018:ffffb50f075275f8 EFLAGS: 00010206
> [ 126.356635][ C17] RAX: 0000000000ff0000 RBX: 000000000000000c RCX: 0000000000000022
> [ 126.356636][ C17] RDX: 0000000000ff0000 RSI: 0000000000000001 RDI: 000000000000f720
> [ 126.356637][ C17] RBP: 000000000000000c R08: ffffb50f00000000 R09: ffffd50effffffff
> [ 126.356637][ C17] R10: ffffd50effffffff R11: 0000000000000006 R12: ffff9090a6000000
> [ 126.356638][ C17] R13: ffff9090a62e9fd0 R14: 000000000000f720 R15: 0000000000000dc0
> [ 126.356639][ C17] FS: 00007fb699b0eb40(0000) GS:ffff90a00a848000(0000) knlGS:0000000000000000
> [ 126.356640][ C17] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
> [ 126.356640][ C17] CR2: 00007f617c3fa02f CR3: 00000001a0c4e000 CR4: 0000000000f50ef0
> [ 126.356641][ C17] PKRU: 55555554
> [ 126.356642][ C17] Kernel panic - not syncing: Fatal exception in interrupt
> [ 126.356811][ C17] Kernel Offset: 0x30a00000 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffffbfffffff)
> 
> 
> Any Ideas?
> 
> Bert Karwatzki
> 

In just checked the error message with faddr2line and got this:

$ scripts/faddr2line mm/vmalloc.o __get_vm_area_node+0x140/0x150
__get_vm_area_node+0x140/0x150:
__get_vm_area_node at /mnt/data/linux-forest/linux-next/mm/vmalloc.c:3212 (discriminator 1)

line 3213 in __get_vm_area_node is this:

	BUG_ON(in_interrupt());

So the problem is using __get_vm_area_node() (presumably via kzalloc() as this is the only vm function
in the offending poatch) from interrupt context.

Bert Karwatzki